org.flexdock.docking.drag.effects

## Class DefaultPreview

- java.lang.Object
- - org.flexdock.docking.drag.effects.DefaultPreview

All Implemented Interfaces:
  DockingConstants, DragPreview

Direct Known Subclasses:
  AlphaPreview, GhostPreview, XORPreview

    public abstract class DefaultPreview
    extends java.lang.Object
    implements DragPreview

Author:
  Christopher Butler

### Field Summary

Fields
`static int` `DEFAULT_TAB_HEIGHT`
`static int` `DEFAULT_TAB_WIDTH`

### Fields inherited from interface org.flexdock.docking.DockingConstants

`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPreview()`

### Method Summary

Methods
`protected java.awt.Polygon` `createPolyRect(DockingPort port, java.awt.Component dockable, java.lang.String region)`
`protected java.awt.Polygon` `createPolyRect(java.awt.Rectangle r)`
`protected java.awt.Polygon` `createPolyTab(DockingPort port, java.awt.Component hover)`
`protected java.awt.Polygon` `createPolyTabOnBottom(java.awt.Rectangle tabPane, java.awt.Rectangle tab)`
`protected java.awt.Polygon` `createPolyTabOnTop(java.awt.Rectangle tabPane, java.awt.Rectangle tab)`
`java.awt.Polygon` `createPreviewPolygon(java.awt.Component dockable, DockingPort port, Dockable hover, java.lang.String targetRegion, java.awt.Component paintingTarget, java.util.Map dragInfo)`
`protected java.awt.Rectangle` `createTabbedPaneRect(DockingPort port, java.awt.Component hover)`
`abstract void` `drawPreview(java.awt.Graphics2D g, java.awt.Polygon poly, Dockable dockable, java.util.Map dragInfo)`
`protected boolean` `isOuterRegion(java.lang.String region)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TAB_WIDTH

    public static final int DEFAULT_TAB_WIDTH

See Also:
  Constant Field Values

#### DEFAULT_TAB_HEIGHT

    public static final int DEFAULT_TAB_HEIGHT

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultPreview

    public DefaultPreview()

### Method Detail

#### createPreviewPolygon

    public java.awt.Polygon createPreviewPolygon(java.awt.Component dockable,
                                        DockingPort port,
                                        Dockable hover,
                                        java.lang.String targetRegion,
                                        java.awt.Component paintingTarget,
                                        java.util.Map dragInfo)

Specified by:
  `createPreviewPolygon` in interface `DragPreview`

#### createPolyRect

    protected java.awt.Polygon createPolyRect(DockingPort port,
                                  java.awt.Component dockable,
                                  java.lang.String region)

#### createPolyRect

    protected java.awt.Polygon createPolyRect(java.awt.Rectangle r)

#### createPolyTab

    protected java.awt.Polygon createPolyTab(DockingPort port,
                                 java.awt.Component hover)

#### createTabbedPaneRect

    protected java.awt.Rectangle createTabbedPaneRect(DockingPort port,
                                          java.awt.Component hover)

#### createPolyTabOnTop

    protected java.awt.Polygon createPolyTabOnTop(java.awt.Rectangle tabPane,
                                      java.awt.Rectangle tab)

#### createPolyTabOnBottom

    protected java.awt.Polygon createPolyTabOnBottom(java.awt.Rectangle tabPane,
                                         java.awt.Rectangle tab)

#### isOuterRegion

    protected boolean isOuterRegion(java.lang.String region)

#### drawPreview

    public abstract void drawPreview(java.awt.Graphics2D g,
                   java.awt.Polygon poly,
                   Dockable dockable,
                   java.util.Map dragInfo)

Specified by:
  `drawPreview` in interface `DragPreview`